# this files is for a better overview of used vars
# see: https://docs.ansible.com/ansible/latest/user_guide/playbooks_best_practices.html

# for ldap config
ldap_admin_config_pw: "{{ vault_ldap_admin_config_pw }}"
ldap_admin_config_pw_hash: "{{ vault_ldap_admin_config_pw_hash }}"

ldap_perfact_pw: "{{ vault_ldap_perfact_pw }}"
ldap_perfact_pw_hash: "{{ vault_ldap_perfact_pw_hash }}"

# this account grants access for perfact_useradmin
ldap_useradmin_pw: "{{ vault_ldap_useradmin_pw }}"
ldap_useradmin_pw_hash: "{{ vault_ldap_useradmin_pw_hash }}"

# this account grants access for mail deamons postfix and dovecot
ldap_mailAccountReader_pw: "{{ vault_ldap_mailAccountReader_pw }}"
ldap_mailAccountReader_pw_hash: "{{ vault_ldap_mailAccountReader_pw_hash }}"

ldap_fileAccountReader_pw: "{{ vault_ldap_fileAccountReader_pw }}"
ldap_fileAccountReader_pw_hash: "{{ vault_ldap_fileAccountReader_pw_hash }}"

ldap_replicauser_pw: "{{ vault_ldap_replicauser_pw }}"
ldap_replicauser_pw_hash: "{{ vault_ldap_replicauser_pw_hash }}"

# syncuser for perfac-mail
ldapSyncToMail_pw: "{{ vault_ldapSyncToMail_pw }}"
ldapSyncToMail_pw_hash: "{{ vault_ldapSyncToMail_pw_hash }}"

# syncuser for perfac-file
ldapSyncToFile_pw: "{{ vault_ldapSyncToFile_pw }}"
ldapSyncToFile_pw_hash: "{{ vault_ldapSyncToFile_pw_hash }}"

# spare password for less commits to vaults - please rename if used:
ldap_spare1_pw: "{{ vault_ldap_spare1_pw }}"
ldap_spare1_pw_hash: "{{ vault_ldap_spare1_pw_hash }}"
ldap_spare2_pw: "{{ vault_ldap_spare2_pw }}"
ldap_spare2_pw_hash: "{{ vault_ldap_spare2_pw_hash }}"
ldap_spare3_pw: "{{ vault_ldap_spare3_pw }}"
ldap_spare3_pw_hash: "{{ vault_ldap_spare3_pw_hash }}"
ldap_spare4_pw: "{{ vault_ldap_spare4_pw }}"
ldap_spare4_pw_hash: "{{ vault_ldap_spare4_pw_hash }}"

# for rspamd
rspamadm_pass: "{{ vault_rspamadm_pass }}"
dkim_txt_record: |
  mail._domainkey       IN      TXT     ( "v=DKIM1; h=sha256; k=rsa; s=email; "
    "p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4Wb/tGNFePRapsKNoZk/pKdaGN+63CrBQ4LlSwLFeseAQVqG3I6Mnei7njW6PSVfSPTBWeXhS/x3sVBSm2xy4+RyMM3HtGAh6iWO/YtjYLHSMjd692c639+yfOp2Z8LjAhBRDt0L3xc06vK/fdSFO4yzCph/RyBvMYkGWnYI5CW54a2u4+xcdWdfec/judGxfXMO4K8cJuhT3a"
    "qKbfXELO0/iDY6uzBo/LyMZxEkgK3MbrE8ZNVNleq5UiAzAn4CrRlNdWkokBEbsSG98yS3y5eDz7opaF/Hv6Yavx9rjWGxqVP/btEPU2FHGr3J8TeMba9cQTEoj6ue9+IOHl3jYwIDAQAB" )  ; ----- DKIM key mail for perfact.de
dkim_priv_key: "{{ vault_dkim_priv_key }}"

# Dictionary of existing mailaccounts from pf-mail which are not employers
# Hashed password is the old from pf-mail, if had been set before
#
# created from datadir with: roles/perfact-mail/contrib/migrate_other-mail-accounts_vars.sh
# userid beginning at 1400
#
other_mails:
  datenschutz:
    posixuserid: 1400
    first_name: datenschutz
    last_name: PerFact_Mailaccount
    mail_address: datenschutz@perfact.de
  travel:
    posixuserid: 1401
    first_name: travel
    last_name: PerFact_Mailaccount
    mail_address: travel@perfact.de
  marketing-news:
    posixuserid: 1402
    first_name: marketing-news
    last_name: PerFact_Mailaccount
    mail_address: marketing-news@perfact.de
  pftechnikum_customer:
    posixuserid: 1403
    first_name: pftechnikum_customer
    last_name: PerFact_Mailaccount
    mail_address: pftechnikum_customer@perfact.de
  pftechnikum_client:
    posixuserid: 1404
    first_name: pftechnikum_client
    last_name: PerFact_Mailaccount
    mail_address: pftechnikum_client@perfact.de
  pftechnikum_supplier:
    posixuserid: 1405
    first_name: pftechnikum_supplier
    last_name: PerFact_Mailaccount
    mail_address: pftechnikum_supplier@perfact.de
  pftechnikum_service:
    posixuserid: 1406
    first_name: pftechnikum_service
    last_name: PerFact_Mailaccount
    mail_address: pftechnikum_service@perfact.de
  printer:
    posixuserid: 1407
    first_name: printer
    last_name: PerFact_Mailaccount
    mail_address: printer@perfact.de
  usv:
    posixuserid: 1408
    first_name: usv
    last_name: PerFact_Mailaccount
    mail_address: usv@perfact.de
  webinar:
    posixuserid: 1409
    first_name: webinar
    last_name: PerFact_Mailaccount
    mail_address: webinar@perfact.de
  info:
    posixuserid: 1410
    first_name: info
    last_name: PerFact_Mailaccount
    mail_address: info@perfact.de
  sla:
    posixuserid: 1411
    first_name: sla
    last_name: PerFact_Mailaccount
    mail_address: sla@perfact.de
  verwaltung:
    posixuserid: 1412
    first_name: verwaltung
    last_name: PerFact_Mailaccount
    mail_address: verwaltung@perfact.de
  buchhaltung:
    posixuserid: 1413
    first_name: buchhaltung
    last_name: PerFact_Mailaccount
    mail_address: buchhaltung@perfact.de
  bewerbung:
    posixuserid: 1414
    first_name: bewerbung
    last_name: PerFact_Mailaccount
    mail_address: bewerbung@perfact.de
  purchase:
    posixuserid: 1415
    first_name: purchase
    last_name: PerFact_Mailaccount
    mail_address: purchase@perfact.de
  anrufbeantworter:
    posixuserid: 1416
    first_name: anrufbeantworter
    last_name: PerFact_Mailaccount
    mail_address: anrufbeantworter@perfact.de
  fritzbox-um:
    posixuserid: 1417
    first_name: fritzbox-um
    last_name: PerFact_Mailaccount
    mail_address: fritzbox-um@perfact.de
  fritzbox-tk:
    posixuserid: 1418
    first_name: fritzbox-tk
    last_name: PerFact_Mailaccount
    mail_address: fritzbox-tk@perfact.de
  # public shared mailboxes:
  backup:
    posixuserid: 1419
    first_name: backup
    last_name: PerFact_Public_Shared_Mailaccount
    mail_address: backup@perfact.de
    public: true
  internalit:
    posixuserid: 1420
    first_name: internalit
    last_name: PerFact_Public_Shared_Mailaccount
    mail_address: internalit@perfact.de
    public: true
  public-monitoring:
    posixuserid: 1421
    first_name: public-monitoring
    last_name: PerFact_Public_Shared_Mailaccount
    mail_address: public-monitoring@perfact.de
    public: true
